using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace UdPdfWeb
{
    /// <summary>
    /// 本程序用于PDF控件的展示，可通过加密或非加密方式输出文件
    /// uudoc_getfile、uudoc_encrypted、uudoc_fileid都是控件通过调用LoadFromWeb()函数时提交的参数
    /// </summary>
    public partial class UdPdf : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            if (Request.Form["uudoc_getfile"] == "1")//如果是提交请求文件
            {
                //根据文件ID获取不同的加密文件或原始文件，需要根据实际情况编写自己的业务逻辑
                if (Request.Form["uudoc_encrypted"] == "1")//是否使用加密读取方式
                {
                    //读取加密过的PDF文件
                    Response.WriteFile(Server.MapPath("upload/" + Request.Form["uudoc_fileid"] + ".enpdf"));
                }
                else
                {
                    //读取原始PDF文件
                    Response.WriteFile(Server.MapPath("upload/" + Request.Form["uudoc_fileid"] + ".pdf"));
                }
                Response.End();
            }

        }
    }
}